#ifndef _SubtitleFormat_h
#define _SubtitleFormat_h

/*
 *  subtitle editor
 *  Copyright @ 2005-2006, IDJAAD Djamel (aka Kitone)
 *
 *  Contact: kitone at free point fr
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  See gpl.txt for more information regarding the GNU General Public License.
 *
 *
 *  \file
 *  \brief 
 *  \author IDJAAD Djamel (kitone at free point fr)
 */

#include <glibmm.h>

class SubtitleFormat
{
public:

	/*
	 *
	 */
	void set_charset(const std::string &charset);

	/*
	 *
	 */
	std::string get_charset();

	
	/*
	 *	encoding "" pour auto ou "UTF-8", ...
	 */
	virtual bool open(const Glib::ustring &filename, const Glib::ustring &encoding);
	
	/*
	 *	encoding "" pour auto ou "UTF-8", ...
	 */
	virtual bool save(const Glib::ustring &filename, const Glib::ustring &encoding);

	/*
	 *	convertir text en utf8
	 *	le charset du text est defini par m_charset
	 */
	Glib::ustring charset_to_utf8(const std::string &text);

	/*
	 *	convertir le text (utf-8) en codage defini par m_charset
	 */
	std::string utf8_to_charset(const Glib::ustring &text);

protected:
	std::string	m_charset;
};


#endif//_SubtitleFormat_h
